> For the complete documentation index, see [llms.txt](https://docs.a-pay.one/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.a-pay.one/api-documentation/payment-systems-information/getting-data-about-ps.md).

# Getting data about PS

{% hint style="warning" %}
The integration of our service into your platform is expected to be done with the help of developers, so make sure you involve them
{% endhint %}

There is a request, by creating and sending which you will find out which payment system is connected to your project and what limits there are on it. API docs about that request are [here](https://api.a-pay.one/#tag/Payment-system/paths/~1Remotes~1payment-systems-info/get).

## Getting data about payment systems

> Getting data about payment systems for the project.

```json
{"openapi":"3.0.3","info":{"title":"A-Pay","version":"1.0.0"},"tags":[{"name":"Payment system","description":"Payment systems"}],"servers":[{"url":"https://<domain>"}],"security":[{"apikey":[]}],"components":{"securitySchemes":{"apikey":{"type":"apiKey","name":"apikey","in":"header"}},"schemas":{"ps_all":{"type":"string","title":"Payment system","enum":["ababank","apaybdt","bancard_qr","banistmo_p2p","bankalfalah","bcgeneral_p2p","bkash_a","bkash_api_v","bkash_b","bkash_p2p","brou_p2p","cbebirr_p2p","cvu_fast_p2p","cvu_p2p","d17_l","easypaisa","easypaisa_l","egp_card","egp_fast","egp_tel","egp_tel_fast","esewa","esewa_p2p","etb_fast","etb_p2p","eur_card","flouci","flouci_l","imepay_l","imps","imps_top","inr_p2c","inr_p2p","ipay_fast","ipay_l","itau_p2p","jazzcash","jazzcash_fast","jazzcash_l","kbzpay_p2p","khalti","khalti_l","lynk_p2p","mercado_ars_p2p","mercado_uyu_p2c","moov_mli_p2p","mpesa","nagad_a","nagad_api_v","nagad_b","nagad_p2p","nayapay_l","orange_gin_p2p","orange_mli_p2p","orange_sen_p2p","paygo_p2p","paytm","phonepe","phonepe_fast","pix_p2p","pkr_w","pkr_w2","raast_p2p","scotiabank_p2p","spei_p2p","stcpay_p2p","tap_p2p","upay","upay_w","upi_a","upi_fast","upi_fast_qr","upi_fast_v","upi_fast_vip","upi_link","upi_p2p","upi_push","veripagos_fast","wave_mli_p2p","wave_sen_p2p","wavepay_l","wing_l","yape_bob_p2p","yape_pen_p2p","yappy_p2p"],"description":"Payment system ID connected to the project"},"currency":{"type":"string","title":"Currency","enum":["ARS","BDT","BHD","BOB","BRL","EGP","ETB","EUR","GNF","INR","JMD","KES","KHR","LKR","MMK","MXN","NPR","PEN","PKR","PYG","TND","USD","UYU","XOF"],"description":"<details>\n  <summary>Payment system currency</summary>\n  \n  | Currency | Payment systems | Decimal places |\n  |----------|-----------------|----------------|\n  | ARS | `cvu_fast_p2p`, `cvu_p2p`, `mercado_ars_p2p` | `0` |\n  | BDT | `apaybdt`, `bkash_a`, `bkash_api_v`, `bkash_b`, `bkash_p2p`, `nagad_a`, `nagad_api_v`, `nagad_b`, `nagad_p2p`, `tap_p2p`, `upay`, `upay_w` | `0` |\n  | BHD | `stcpay_p2p` | `3` e.g. 0.001 |\n  | BOB | `veripagos_fast`, `yape_bob_p2p` | `0` |\n  | BRL | `pix_p2p` | `0` |\n  | EGP | `egp_card`, `egp_fast`, `egp_tel`, `egp_tel_fast` | `0` |\n  | ETB | `cbebirr_p2p`, `etb_fast`, `etb_p2p` | `0` |\n  | EUR | `eur_card` | `2` e.g. 0.01 |\n  | GNF | `orange_gin_p2p` | `0` |\n  | INR | `imps`, `imps_top`, `inr_p2c`, `inr_p2p`, `paytm`, `phonepe`, `phonepe_fast`, `upi_a`, `upi_fast`, `upi_fast_qr`, `upi_fast_v`, `upi_fast_vip`, `upi_link`, `upi_p2p`, `upi_push` | `0` |\n  | JMD | `lynk_p2p`, `scotiabank_p2p` | `0` |\n  | KES | `mpesa` | `0` |\n  | KHR | `ababank`, `wing_l` | `0` |\n  | LKR | `ipay_fast`, `ipay_l`, `paygo_p2p` | `0` |\n  | MMK | `kbzpay_p2p`, `wavepay_l` | `0` |\n  | MXN | `spei_p2p` | `0` |\n  | NPR | `esewa`, `esewa_p2p`, `imepay_l`, `khalti`, `khalti_l` | `0` |\n  | PEN | `yape_pen_p2p` | `0` |\n  | PKR | `bankalfalah`, `easypaisa`, `easypaisa_l`, `jazzcash`, `jazzcash_fast`, `jazzcash_l`, `nayapay_l`, `pkr_w`, `pkr_w2`, `raast_p2p` | `0` |\n  | PYG | `bancard_qr`, `itau_p2p` | `0` |\n  | TND | `d17_l`, `flouci`, `flouci_l` | `0` |\n  | USD | `banistmo_p2p`, `bcgeneral_p2p`, `yappy_p2p` | `2` e.g. 0.01 |\n  | UYU | `brou_p2p`, `mercado_uyu_p2c` | `0` |\n  | XOF | `moov_mli_p2p`, `orange_mli_p2p`, `orange_sen_p2p`, `wave_mli_p2p`, `wave_sen_p2p` | `0` |\n</details>"}}},"paths":{"/Remotes/payment-systems-info":{"get":{"tags":["Payment system"],"summary":"Getting data about payment systems","description":"Getting data about payment systems for the project.","parameters":[{"in":"query","name":"project_id","schema":{"type":"number"},"description":"Project ID in the A-Pay system","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"oneOf":[{"title":"Success","required":["success","payment_systems"],"properties":{"success":{"type":"boolean","description":"`true` if there are no errors"},"payment_systems":{"type":"array","items":{"type":"object","description":"Information about payment system","required":["name","min_deposit","max_deposit","min_withdrawal","max_withdrawal","deposit","withdrawal"],"properties":{"name":{"$ref":"#/components/schemas/ps_all"},"currency":{"$ref":"#/components/schemas/currency"},"deposit":{"type":"boolean","description":"`false` if the payment system does not support deposits else `true`"},"withdrawal":{"type":"boolean","description":"`false` if the payment system does not support withdrawals else `true`"},"min_deposit":{"type":"string","description":"Minimum deposit amount"},"max_deposit":{"type":"string","description":"Maximum deposit amount"},"min_withdrawals":{"type":"string","description":"Minimum deposit amount"},"max_withdrawals":{"type":"string","description":"Maximum deposit amount"}}}}}},{"title":"Error","required":["success","message","code"],"properties":{"success":{"type":"boolean","description":"`false` if an error occurred"},"message":{"type":"string","description":"Description of error"},"code":{"type":"number","description":"Error code in the A-Pay system"}}}]}}}},"400":{"description":"Error","content":{"application/json":{"schema":{"title":"Error","required":["success","message","code"],"properties":{"success":{"type":"boolean","description":"`false` if an error occurred"},"message":{"type":"string","description":"Description of error"},"code":{"type":"number","description":"Error code in the A-Pay system"}}}}}}}}}}}
```

### Auto display method and auto update minimum and maximum payment limits

Use this request to automatically display our active payment methods and their limits on your platform. You can call the method periodically (e.g., every 5 minutes) to keep your data up to date.

The response also contains information about which directions are currently available — deposits, withdrawals, or both.

There is a slight difference depending on how you are integrated with us:

#### **H2H integration**

For H2H integration, follow this logic:

1. Send a request to get available payment systems.
2. If a payment system you have integrated is present in the response — display it.\
   If it’s missing — hide it.
3. Update minimum and maximum limits according to the response.
4. Use the `deposit` and `withdrawal` flags to determine whether the payment system should be displayed, and for which directions it’s available.

#### **Payment page integration**

For integrations via our payment page, there are two options:

**a. Single payment system request**

The behavior is similar to the H2H integration. However, withdrawals are not available when using our payment page. In this case, you should ignore the `withdrawal` flag and display the method **only if `deposit = true`**.

**b. Multiple payment systems request**

When you send a request containing several payment systems (e.g., `upi_p2p`, `phonepe`, `paytm`):

* Display the payment method if **at least one** of the requested systems is returned in the response with `deposit = true`.
* Hide the method only if **none** of the requested systems appear, or all of them have `deposit = false`.
* You can ignore the `withdrawal` flag, as withdrawals are not available when using our payment page.

For example, if you request the following payment systems via the payment page: `upi_p2p`, `phonepe`, `paytm`, and you periodically send us requests to check their availability:

* If we respond with only `upi_p2p` where `deposit = true` — do **not** hide the method, since a deposit option is still available.
* If we respond with only systems where `deposit = false`, or none of the requested systems are returned — hide the method.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.a-pay.one/api-documentation/payment-systems-information/getting-data-about-ps.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
